AntiFeatures:
  - NonFreeNet
Categories:
  - Games
License: GPL-3.0-or-later
AuthorName: Cameron Gutman
AuthorEmail: android-help@moonlight-stream.org
WebSite: https://moonlight-stream.org
SourceCode: https://github.com/moonlight-stream/moonlight-android
IssueTracker: https://github.com/moonlight-stream/moonlight-android/issues
Changelog: https://github.com/moonlight-stream/moonlight-android/releases

AutoName: Moonlight

RepoType: git
Repo: https://github.com/moonlight-stream/moonlight-android

Builds:
  - versionName: '7.4'
    versionCode: 195
    commit: v7.4
    subdir: app
    submodules: true
    gradle:
      - nonRoot
    srclibs:
      - OpenSSL@OpenSSL_1_1_1c
      - opus@v1.3
    rm:
      - moonlight-common/src/main/jni/moonlight-core/openssl/include
      - moonlight-common/src/main/jni/moonlight-core/libopus/include
    prebuild: sed -i 's/applicationIdSuffix/\/\/applicationIdSuffix/g' build.gradle
    scandelete:
      - moonlight-common/src/main/jni/moonlight-core/openssl
      - moonlight-common/src/main/jni/moonlight-core/libopus
    build:
      - lib="$PWD/../moonlight-common/src/main/jni/moonlight-core"
      - PATH=$ANDROID_NDK/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - pushd $$opus$$
      - ./autogen.sh
      - CC=armv7a-linux-androideabi16-clang ./configure --host=arm-linux-androideabi
        --with-pic --disable-extra-programs --disable-doc
      - make -j16
      - cp .libs/libopus.a ${lib}/libopus/armeabi-v7a/
      - make distclean
      - CC=aarch64-linux-android21-clang ./configure --host=aarch64-linux-android
        --with-pic --disable-extra-programs --disable-doc
      - make -j16
      - cp .libs/libopus.a ${lib}/libopus/arm64-v8a/
      - make distclean
      - CC=i686-linux-android16-clang ./configure --host=i686-linux-android --with-pic
        --disable-extra-programs --disable-doc
      - make -j16
      - cp .libs/libopus.a ${lib}/libopus/x86/
      - make distclean
      - CC=x86_64-linux-android21-clang ./configure --host=x86_64-linux-android --with-pic
        --disable-extra-programs --disable-doc
      - make -j16
      - cp .libs/libopus.a ${lib}/libopus/x86_64/
      - cp -R include/ ${lib}/libopus/
      - make distclean
      - popd
      - pushd $$OpenSSL$$
      - CC=armv7a-linux-androideabi16-clang ./Configure android-arm no-shared no-ssl3
        no-engine no-dso no-asm no-hw no-comp no-stdio -fPIC -DOPENSSL_PIC -D__ANDROID_API__=16
        -ffast-math -O3 -funroll-loops
      - make -j16
      - cp libcrypto.a ${lib}/openssl/armeabi-v7a/
      - cp libssl.a ${lib}/openssl/armeabi-v7a/
      - make distclean
      - CC=aarch64-linux-android21-clang ./Configure android-arm64 no-shared no-ssl3
        no-engine no-dso no-asm no-hw no-comp no-stdio -fPIC -DOPENSSL_PIC -D__ANDROID_API__=21
        -ffast-math -O3 -funroll-loops
      - make -j16
      - cp libcrypto.a ${lib}/openssl/arm64-v8a/
      - cp libssl.a ${lib}/openssl/arm64-v8a/
      - make distclean
      - CC=i686-linux-android16-clang ./Configure android-x86 no-shared no-ssl3 no-engine
        no-dso no-asm no-hw no-comp no-stdio -fPIC -DOPENSSL_PIC -D__ANDROID_API__=16
        -ffast-math -O3 -funroll-loops
      - make -j16
      - cp libcrypto.a ${lib}/openssl/x86/
      - cp libssl.a ${lib}/openssl/x86/
      - make distclean
      - CC=x86_64-linux-android21-clang ./Configure android-x86_64 no-shared no-ssl3
        no-engine no-dso no-asm no-hw no-comp no-stdio -fPIC -DOPENSSL_PIC -D__ANDROID_API__=21
        -ffast-math -O3 -funroll-loops
      - make -j`nproc`
      - cp libcrypto.a ${lib}/openssl/x86_64/
      - cp libssl.a ${lib}/openssl/x86_64/
      - cp -R include/ ${lib}/openssl/
      - make distclean
      - popd
    ndk: r19c

  - versionName: '8.0'
    versionCode: 197
    commit: v8.0
    subdir: app
    submodules: true
    gradle:
      - nonRoot
    srclibs:
      - OpenSSL@OpenSSL_1_1_1c
      - opus@v1.3
    rm:
      - moonlight-common/src/main/jni/moonlight-core/openssl/include
      - moonlight-common/src/main/jni/moonlight-core/libopus/include
    prebuild: sed -i 's/applicationIdSuffix/\/\/applicationIdSuffix/g' build.gradle
    scandelete:
      - moonlight-common/src/main/jni/moonlight-core/openssl
      - moonlight-common/src/main/jni/moonlight-core/libopus
    build:
      - lib="$PWD/../moonlight-common/src/main/jni/moonlight-core"
      - PATH=$ANDROID_NDK/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - pushd $$opus$$
      - ./autogen.sh
      - CC=armv7a-linux-androideabi16-clang ./configure --host=arm-linux-androideabi
        --with-pic --disable-extra-programs --disable-doc
      - make -j16
      - cp .libs/libopus.a ${lib}/libopus/armeabi-v7a/
      - make distclean
      - CC=aarch64-linux-android21-clang ./configure --host=aarch64-linux-android
        --with-pic --disable-extra-programs --disable-doc
      - make -j16
      - cp .libs/libopus.a ${lib}/libopus/arm64-v8a/
      - make distclean
      - CC=i686-linux-android16-clang ./configure --host=i686-linux-android --with-pic
        --disable-extra-programs --disable-doc
      - make -j16
      - cp .libs/libopus.a ${lib}/libopus/x86/
      - make distclean
      - CC=x86_64-linux-android21-clang ./configure --host=x86_64-linux-android --with-pic
        --disable-extra-programs --disable-doc
      - make -j16
      - cp .libs/libopus.a ${lib}/libopus/x86_64/
      - cp -R include/ ${lib}/libopus/
      - make distclean
      - popd
      - pushd $$OpenSSL$$
      - CC=armv7a-linux-androideabi16-clang ./Configure android-arm no-shared no-ssl3
        no-engine no-dso no-asm no-hw no-comp no-stdio -fPIC -DOPENSSL_PIC -D__ANDROID_API__=16
        -ffast-math -O3 -funroll-loops
      - make -j16
      - cp libcrypto.a ${lib}/openssl/armeabi-v7a/
      - cp libssl.a ${lib}/openssl/armeabi-v7a/
      - make distclean
      - CC=aarch64-linux-android21-clang ./Configure android-arm64 no-shared no-ssl3
        no-engine no-dso no-asm no-hw no-comp no-stdio -fPIC -DOPENSSL_PIC -D__ANDROID_API__=21
        -ffast-math -O3 -funroll-loops
      - make -j16
      - cp libcrypto.a ${lib}/openssl/arm64-v8a/
      - cp libssl.a ${lib}/openssl/arm64-v8a/
      - make distclean
      - CC=i686-linux-android16-clang ./Configure android-x86 no-shared no-ssl3 no-engine
        no-dso no-asm no-hw no-comp no-stdio -fPIC -DOPENSSL_PIC -D__ANDROID_API__=16
        -ffast-math -O3 -funroll-loops
      - make -j16
      - cp libcrypto.a ${lib}/openssl/x86/
      - cp libssl.a ${lib}/openssl/x86/
      - make distclean
      - CC=x86_64-linux-android21-clang ./Configure android-x86_64 no-shared no-ssl3
        no-engine no-dso no-asm no-hw no-comp no-stdio -fPIC -DOPENSSL_PIC -D__ANDROID_API__=21
        -ffast-math -O3 -funroll-loops
      - make -j`nproc`
      - cp libcrypto.a ${lib}/openssl/x86_64/
      - cp libssl.a ${lib}/openssl/x86_64/
      - cp -R include/ ${lib}/openssl/
      - make distclean
      - popd
    ndk: r19c

  - versionName: '8.1'
    versionCode: 198
    commit: v8.1
    subdir: app
    submodules: true
    gradle:
      - nonRoot
    srclibs:
      - OpenSSL@OpenSSL_1_1_1c
      - opus@v1.3
    rm:
      - moonlight-common/src/main/jni/moonlight-core/openssl/include
      - moonlight-common/src/main/jni/moonlight-core/libopus/include
    prebuild: sed -i 's/applicationIdSuffix/\/\/applicationIdSuffix/g' build.gradle
    scandelete:
      - moonlight-common/src/main/jni/moonlight-core/openssl
      - moonlight-common/src/main/jni/moonlight-core/libopus
    build:
      - lib="$PWD/../moonlight-common/src/main/jni/moonlight-core"
      - PATH=$ANDROID_NDK/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - pushd $$opus$$
      - ./autogen.sh
      - CC=armv7a-linux-androideabi16-clang ./configure --host=arm-linux-androideabi
        --with-pic --disable-extra-programs --disable-doc
      - make -j16
      - cp .libs/libopus.a ${lib}/libopus/armeabi-v7a/
      - make distclean
      - CC=aarch64-linux-android21-clang ./configure --host=aarch64-linux-android
        --with-pic --disable-extra-programs --disable-doc
      - make -j16
      - cp .libs/libopus.a ${lib}/libopus/arm64-v8a/
      - make distclean
      - CC=i686-linux-android16-clang ./configure --host=i686-linux-android --with-pic
        --disable-extra-programs --disable-doc
      - make -j16
      - cp .libs/libopus.a ${lib}/libopus/x86/
      - make distclean
      - CC=x86_64-linux-android21-clang ./configure --host=x86_64-linux-android --with-pic
        --disable-extra-programs --disable-doc
      - make -j16
      - cp .libs/libopus.a ${lib}/libopus/x86_64/
      - cp -R include/ ${lib}/libopus/
      - make distclean
      - popd
      - pushd $$OpenSSL$$
      - CC=armv7a-linux-androideabi16-clang ./Configure android-arm no-shared no-ssl3
        no-engine no-dso no-asm no-hw no-comp no-stdio -fPIC -DOPENSSL_PIC -D__ANDROID_API__=16
        -ffast-math -O3 -funroll-loops
      - make -j16
      - cp libcrypto.a ${lib}/openssl/armeabi-v7a/
      - cp libssl.a ${lib}/openssl/armeabi-v7a/
      - make distclean
      - CC=aarch64-linux-android21-clang ./Configure android-arm64 no-shared no-ssl3
        no-engine no-dso no-asm no-hw no-comp no-stdio -fPIC -DOPENSSL_PIC -D__ANDROID_API__=21
        -ffast-math -O3 -funroll-loops
      - make -j16
      - cp libcrypto.a ${lib}/openssl/arm64-v8a/
      - cp libssl.a ${lib}/openssl/arm64-v8a/
      - make distclean
      - CC=i686-linux-android16-clang ./Configure android-x86 no-shared no-ssl3 no-engine
        no-dso no-asm no-hw no-comp no-stdio -fPIC -DOPENSSL_PIC -D__ANDROID_API__=16
        -ffast-math -O3 -funroll-loops
      - make -j16
      - cp libcrypto.a ${lib}/openssl/x86/
      - cp libssl.a ${lib}/openssl/x86/
      - make distclean
      - CC=x86_64-linux-android21-clang ./Configure android-x86_64 no-shared no-ssl3
        no-engine no-dso no-asm no-hw no-comp no-stdio -fPIC -DOPENSSL_PIC -D__ANDROID_API__=21
        -ffast-math -O3 -funroll-loops
      - make -j`nproc`
      - cp libcrypto.a ${lib}/openssl/x86_64/
      - cp libssl.a ${lib}/openssl/x86_64/
      - cp -R include/ ${lib}/openssl/
      - make distclean
      - popd
    ndk: r19c

  - versionName: '8.2'
    versionCode: 199
    commit: v8.2
    subdir: app
    submodules: true
    gradle:
      - nonRoot
    srclibs:
      - OpenSSL@OpenSSL_1_1_1c
      - opus@v1.3
    rm:
      - app/src/main/jni/moonlight-core/openssl/include
      - app/src/main/jni/moonlight-core/libopus/include
    prebuild: sed -i 's/applicationIdSuffix/\/\/applicationIdSuffix/g' build.gradle
    scandelete:
      - app/src/main/jni/moonlight-core/openssl
      - app/src/main/jni/moonlight-core/libopus
    build:
      - lib="$PWD/src/main/jni/moonlight-core"
      - PATH=$ANDROID_NDK/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - pushd $$opus$$
      - ./autogen.sh
      - CC=armv7a-linux-androideabi16-clang ./configure --host=arm-linux-androideabi
        --with-pic --disable-extra-programs --disable-doc
      - make -j16
      - cp .libs/libopus.a ${lib}/libopus/armeabi-v7a/
      - make distclean
      - CC=aarch64-linux-android21-clang ./configure --host=aarch64-linux-android
        --with-pic --disable-extra-programs --disable-doc
      - make -j16
      - cp .libs/libopus.a ${lib}/libopus/arm64-v8a/
      - make distclean
      - CC=i686-linux-android16-clang ./configure --host=i686-linux-android --with-pic
        --disable-extra-programs --disable-doc
      - make -j16
      - cp .libs/libopus.a ${lib}/libopus/x86/
      - make distclean
      - CC=x86_64-linux-android21-clang ./configure --host=x86_64-linux-android --with-pic
        --disable-extra-programs --disable-doc
      - make -j16
      - cp .libs/libopus.a ${lib}/libopus/x86_64/
      - cp -R include/ ${lib}/libopus/
      - make distclean
      - popd
      - pushd $$OpenSSL$$
      - CC=armv7a-linux-androideabi16-clang ./Configure android-arm no-shared no-ssl3
        no-engine no-dso no-asm no-hw no-comp no-stdio -fPIC -DOPENSSL_PIC -D__ANDROID_API__=16
        -ffast-math -O3 -funroll-loops
      - make -j16
      - cp libcrypto.a ${lib}/openssl/armeabi-v7a/
      - cp libssl.a ${lib}/openssl/armeabi-v7a/
      - make distclean
      - CC=aarch64-linux-android21-clang ./Configure android-arm64 no-shared no-ssl3
        no-engine no-dso no-asm no-hw no-comp no-stdio -fPIC -DOPENSSL_PIC -D__ANDROID_API__=21
        -ffast-math -O3 -funroll-loops
      - make -j16
      - cp libcrypto.a ${lib}/openssl/arm64-v8a/
      - cp libssl.a ${lib}/openssl/arm64-v8a/
      - make distclean
      - CC=i686-linux-android16-clang ./Configure android-x86 no-shared no-ssl3 no-engine
        no-dso no-asm no-hw no-comp no-stdio -fPIC -DOPENSSL_PIC -D__ANDROID_API__=16
        -ffast-math -O3 -funroll-loops
      - make -j16
      - cp libcrypto.a ${lib}/openssl/x86/
      - cp libssl.a ${lib}/openssl/x86/
      - make distclean
      - CC=x86_64-linux-android21-clang ./Configure android-x86_64 no-shared no-ssl3
        no-engine no-dso no-asm no-hw no-comp no-stdio -fPIC -DOPENSSL_PIC -D__ANDROID_API__=21
        -ffast-math -O3 -funroll-loops
      - make -j`nproc`
      - cp libcrypto.a ${lib}/openssl/x86_64/
      - cp libssl.a ${lib}/openssl/x86_64/
      - cp -R include/ ${lib}/openssl/
      - make distclean
      - popd
    ndk: r20

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags v\d+\.\d+(\.\d+)?
CurrentVersion: '8.2'
CurrentVersionCode: 199
